import { connect } from 'umi';
import ProductionPlanInfoComponentInfo from '../../components/productionPlanInfo/productionPlanInfo';

function ProductionPlanInfo({ dispatch, app, content }) {
  function removePane(changePanes, currentPane) {
    dispatch({ type: 'app/removePane', payload: { changePanes, currentPane } });
  }

  const productionPlanProps = {
    app,
    content,
    dispatch,
    onRemovePane: removePane,
  };

  return (
    <ProductionPlanInfoComponentInfo {...productionPlanProps} className="test" />
  );
}

export default connect(({ app, content }) =>
  ({ app, content }))(ProductionPlanInfo);
